#!/usr/bin/perl -w

push @SPECHOOKS, sub {
    my ($spec, $parent, $pkgname) = @_;
    &tex_custom_kill_sec($spec, $pkgname,'post');
    &tex_custom_kill_sec($spec, $pkgname,'postun',1);
    &tex_custom_kill_sec($spec, $pkgname,'preun',1);
};

sub tex_custom_kill_sec {
    my ($spec, $pkgname,$secname, $silent) = @_;
    my $section=$spec->get_section($secname,'-n '.$pkgname);
    unless ($section) {
	print STDERR "Oops! (altlinux-policy-tex-obsolete-util-calls-in-post): $secname not found for $pkgname\n" unless $silent;
	return;
    }
    if ($section->get_bodyref()->[0]=~m!^\s*\%post(?:un)?\s+.*-p\s+.*texhash!) {
	$section->delete;
    } else {
	$section->exclude_body(qr'texhash');
	$section->exclude_body(qr'TEXHASH');
	$section->exclude_body(qr'/usr/bin/updmap');
	if ($section->is_empty()) {
	    $section->delete;
	}
    }
}

1;
