#!/usr/bin/perl -w

my @subst_table;

while (<DATA>) {
    chomp;
    my @line=split /\t+/;
    push @subst_table, @line[0,1] if $line[1];
}

push @SPECHOOKS, sub {
    my ($spec, $parent, $pkgname) = @_;
    my %shellsec=map {$_=>1} qw/prep build install/;
    foreach my $section ($spec->get_sections()) {
	my $secname=$section->get_type();
	next unless $shellsec{$secname};
	$section->subst_body(qr'=\%__perl','=/usr/bin/perl');
	for (my $i=0;$i<@subst_table and $subst_table[$i+1];$i=$i+2) {
	    my $from = $subst_table[$i];
	    my $to=$subst_table[$i+1];
	    $section->subst_body(qr"(?<!%)\%\{?$from\}?(?=(?:\s|$))",$to);
	}
    }
};

1;
__DATA__
__awk		gawk
__bzip2	bzip2
__cat		cat
__chgrp	chgrp
__chmod	chmod
__chown	chown
__cp		cp
__cpio		cpio
__file		file
__gpg		gpg
__grep		grep
__gzip		gzip
__id		id
__install	install
__install_info	install-info
__ln_s		ln -s
__make		make
__mkdir_p	mkdir -p
__mkdir	mkdir
__mv		mv
__patch	patch
__perl		perl
__pgp		pgp
__python	python
__rm		rm
__rsh		rsh
__sed		sed
__ssh		ssh
__subst	sed -i
__tar		tar
__unzip	unzip
__ar		ar
__as		as
__cc		gcc
__cpp		gcc -E
__cxx		g++
__ld		ld
__nm		nm
__objcopy	objcopy
__objdump	objdump
__ranlib	ranlib
__strip	strip
__libtoolize	libtoolize
__aclocal	aclocal
__autoheader	autoheader
__automake	automake
__autoconf	autoconf
